import { EventEmitter, ElementRef } from '@angular/core';
import { Subject } from 'rxjs/Subject';
export declare class TextInputAutocompleteMenuComponent {
    dropdown: ElementRef;
    closeMenu: EventEmitter<{}>;
    position: {
        top: number;
        left: number;
    };
    selectChoice: Subject<{}>;
    activeChoice: any;
    searchText: string;
    choiceLoadError: any;
    choiceLoading: boolean;
    private _choices;
    startingY: number;
    endY: number;
    currentY: number;
    itemHeight: number;
    viewHeight: number;
    choices: string[];
    onArrowDown(event: KeyboardEvent): void;
    onArrowUp(event: KeyboardEvent): void;
    onEnter(event: KeyboardEvent): void;
    onEscPress(e: KeyboardEvent): void;
}
